aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/zpios-test/lustre.sh
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2010-11-05 12:29:58 -0700
committerBrian Behlendorf <[email protected]>2010-11-08 14:03:36 -0800
commit8c3ab23f4be92a4e55f07f8c1bb467b851ed3e54 (patch)
tree7bf9f721af762af3c5ce5cd084c2f52ce63856af /scripts/zpios-test/lustre.sh
parenta8179b513904f4e11eb1299f70869d15ee577139 (diff)
Add lustre zpios-test workload
The lustre zpios-test simulates a reasonable lustre workload. It will create 128 threads, the same as a Lustre OSS, and then 4096 individual objects. Each objects is 16MiB in size and will be written/read in 1MiB from a random thread. This is fundamentally how we expect Lustre to behave for large IO intensive workloads.
Diffstat (limited to 'scripts/zpios-test/lustre.sh')
-rw-r--r--scripts/zpios-test/lustre.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/scripts/zpios-test/lustre.sh b/scripts/zpios-test/lustre.sh
new file mode 100644
index 000000000..e02df2269
--- /dev/null
+++ b/scripts/zpios-test/lustre.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# Usage: zpios
+# --threadcount -t =values
+# --threadcount_low -l =value
+# --threadcount_high -h =value
+# --threadcount_incr -e =value
+# --regioncount -n =values
+# --regioncount_low -i =value
+# --regioncount_high -j =value
+# --regioncount_incr -k =value
+# --offset -o =values
+# --offset_low -m =value
+# --offset_high -q =value
+# --offset_incr -r =value
+# --chunksize -c =values
+# --chunksize_low -a =value
+# --chunksize_high -b =value
+# --chunksize_incr -g =value
+# --regionsize -s =values
+# --regionsize_low -A =value
+# --regionsize_high -B =value
+# --regionsize_incr -C =value
+# --load -L =dmuio|ssf|fpp
+# --pool -p =pool name
+# --name -M =test name
+# --cleanup -x
+# --prerun -P =pre-command
+# --postrun -R =post-command
+# --log -G =log directory
+# --regionnoise -I =shift
+# --chunknoise -N =bytes
+# --threaddelay -T =jiffies
+# --verify -V
+# --zerocopy -z
+# --nowait -O
+# --human-readable -H
+# --verbose -v =increase verbosity
+# --help -? =this help
+
+ZPIOS_CMD="${ZPIOS} \
+ --load=dmuio,fpp \
+ --pool=${ZPOOL_NAME} \
+ --name=${ZPOOL_DESC} \
+ --threadcount=128 \
+ --regioncount=4096 \
+ --regionsize=16M \
+ --chunksize=1M \
+ --offset=0M \
+ --threaddelay=0 \
+ --cleanup \
+ --human-readable \
+ ${ZPIOS_OPTIONS}"
+
+zpios_start() {
+ if [ ${VERBOSE} ]; then
+ ZPIOS_CMD="${ZPIOS_CMD} --verbose"
+ echo ${ZPIOS_CMD}
+ fi
+
+ ${ZPIOS_CMD} || exit 1
+}
+
+zpios_stop() {
+ [ ${VERBOSE} ] && echo
+}